CMSIS-Driver: NAND Driver Strength

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
NAND Driver Strength
NAND Control Codes

Specify driver strength of the NAND interface. More...

## Macros

#define | ARM_NAND_DRIVER_STRENGTH_18 (0x00UL)
| Driver Strength 2.0x = 18 Ohms. More...
#define | ARM_NAND_DRIVER_STRENGTH_25 (0x01UL)
| Driver Strength 1.4x = 25 Ohms. More...
#define | ARM_NAND_DRIVER_STRENGTH_35 (0x02UL)
| Driver Strength 1.0x = 35 Ohms (default) More...
#define | ARM_NAND_DRIVER_STRENGTH_50 (0x03UL)
| Driver Strength 0.7x = 50 Ohms. More...

## Description

Specify driver strength of the NAND interface.

The defines can be used in the function ARM_NAND_Control for the parameter arg and with the ARM_NAND_DRIVER_STRENGTH as the control code.

## Macro Definition Documentation

#define ARM_NAND_DRIVER_STRENGTH_18 (0x00UL)

Driver Strength 2.0x = 18 Ohms.

#define ARM_NAND_DRIVER_STRENGTH_25 (0x01UL)

Driver Strength 1.4x = 25 Ohms.

#define ARM_NAND_DRIVER_STRENGTH_35 (0x02UL)

Driver Strength 1.0x = 35 Ohms (default)

#define ARM_NAND_DRIVER_STRENGTH_50 (0x03UL)

Driver Strength 0.7x = 50 Ohms.